From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-admin/r10k/
Date: Sun, 25 Jun 2023 13:53:31 +0000 (UTC) [thread overview]
Message-ID: <1687701208.3e5993a3a93376fc4e4c7594ac6e82d95a1eeb6f.graaff@gentoo> (raw)
commit: 3e5993a3a93376fc4e4c7594ac6e82d95a1eeb6f
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 25 13:53:13 2023 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Jun 25 13:53:28 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3e5993a3
app-admin/r10k: add 3.15.4
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
app-admin/r10k/Manifest | 1 +
app-admin/r10k/r10k-3.15.4.ebuild | 56 +++++++++++++++++++++++++++++++++++++++
2 files changed, 57 insertions(+)
diff --git a/app-admin/r10k/Manifest b/app-admin/r10k/Manifest
index f31e8b39ce28..25304a6f553f 100644
--- a/app-admin/r10k/Manifest
+++ b/app-admin/r10k/Manifest
@@ -1 +1,2 @@
DIST r10k-3.15.0.gem 257536 BLAKE2B 50ddb734bef782d9b061f17338d05c8fd824d0cc1e6005c538c4ef91c584bfe9ecbfb5bc5dc033317344bad7b14825cea6a56e136efec5081778582b8c714b18 SHA512 97cbb0a3e6f23591370de339e3320d9cbff726968b3b73d2bb00ebca7637406a371d1464d3ac955b7aacc4f5cfa898b828095aebaebe24bffd7d90be462457a9
+DIST r10k-3.15.4.tar.gz 258268 BLAKE2B 6f2f69895d84e13f54f2a7e6dba086c5b4234f0644709dafa8f88366dbe37fe8f165ef2d316f4c5b60df843448d164132878d67750bc3a65a2b8f66b205d3266 SHA512 521cf69a7372a60db74c3795b608c5ab4148f628365210228d79d9146a80d7105e4c757241e891e8e37027ae0cc2f37e59773c9838bd88042b0fdab13e36cd88
diff --git a/app-admin/r10k/r10k-3.15.4.ebuild b/app-admin/r10k/r10k-3.15.4.ebuild
new file mode 100644
index 000000000000..f969291853b8
--- /dev/null
+++ b/app-admin/r10k/r10k-3.15.4.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby30 ruby31"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+RUBY_FAKEGEM_EXTRAINSTALL=locales
+
+inherit ruby-fakegem
+
+DESCRIPTION="Puppet environment and module deployment"
+HOMEPAGE="https://github.com/puppetlabs/r10k"
+SRC_URI="https://github.com/puppetlabs/r10k/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+git"
+
+ruby_add_rdepend "
+ ~dev-ruby/colored2-3.1.2
+ >=dev-ruby/cri-2.15.10:0
+ >=dev-ruby/gettext-setup-0.24:0
+ || ( dev-ruby/fast_gettext:2 >=dev-ruby/fast_gettext-1.1:0 )
+ >=dev-ruby/jwt-2.2.3:2
+ >=dev-ruby/ruby-gettext-3.0.2:0
+ ~dev-ruby/log4r-1.1.10
+ >=dev-ruby/minitar-0.9:0
+ >=dev-ruby/multi_json-1.10:0
+ =dev-ruby/puppet_forge-3*
+"
+
+ruby_add_bdepend "test? (
+ >=dev-ruby/minitar-0.9
+)"
+
+RDEPEND="${RDEPEND} git? ( >=dev-vcs/git-1.6.6 )"
+
+all_ruby_prepare() {
+ sed -e '/s.files/d' \
+ -e '/fast_gettext/ s/1.1.0/1.1/' \
+ -e "/gettext/ s/'< 3.3.0'//" \
+ -e '/jwt/ s/~>/>=/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+
+ # Avoid specs for unpackaged rugget git provider
+ rm -rf spec/unit/git_spec.rb spec/unit/git/rugged || die
+
+ # Avoid spec making assumptions on availability of relative symlinks
+ rm -f spec/integration/util/purageable_spec.rb || die
+}
next reply other threads:[~2023-06-25 13:53 UTC|newest]
Thread overview: 41+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-06-25 13:53 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-18 6:24 [gentoo-commits] repo/gentoo:master commit in: app-admin/r10k/ Hans de Graaff
2024-05-03 5:49 Hans de Graaff
2024-05-03 5:49 Hans de Graaff
2024-04-05 9:42 Hans de Graaff
2023-12-09 9:11 Hans de Graaff
2023-12-09 9:11 Hans de Graaff
2023-09-09 7:10 Hans de Graaff
2023-08-19 8:03 Hans de Graaff
2023-08-19 8:03 Hans de Graaff
2022-12-17 8:37 Hans de Graaff
2022-07-20 6:01 Hans de Graaff
2022-06-18 8:40 Hans de Graaff
2020-11-21 7:36 Hans de Graaff
2020-11-21 7:33 Hans de Graaff
2020-11-20 8:04 Robin H. Johnson
2020-11-20 7:29 Robin H. Johnson
2020-09-15 6:57 Hans de Graaff
2020-07-20 6:55 Hans de Graaff
2020-04-01 16:37 Thomas Deutschmann
2020-03-08 6:38 Hans de Graaff
2020-02-14 7:18 Hans de Graaff
2020-01-23 19:13 Hans de Graaff
2019-10-09 5:47 Hans de Graaff
2019-08-23 15:35 Hans de Graaff
2019-07-13 6:14 Hans de Graaff
2019-07-13 6:14 Hans de Graaff
2019-05-30 18:05 Hans de Graaff
2019-05-01 5:31 Hans de Graaff
2019-02-10 7:25 Hans de Graaff
2019-02-09 10:44 Hans de Graaff
2018-05-06 6:37 Hans de Graaff
2018-01-22 20:34 Hans de Graaff
2017-12-21 4:53 Vikraman Choudhury
2017-09-08 19:35 Sven Wegener
2017-09-08 19:12 Sven Wegener
2017-08-05 18:49 Hans de Graaff
2017-08-01 5:50 Hans de Graaff
2017-08-01 5:50 Hans de Graaff
2017-08-01 5:50 Hans de Graaff
2016-04-10 0:18 Manuel Rüger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1687701208.3e5993a3a93376fc4e4c7594ac6e82d95a1eeb6f.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox